#pragma once
#include "Entity.h"
#define CS_PUPPYCARRIED_CREATENAME L"CS_puppy_carried"
class CS_PuppyCarried :
    public Entity
{
public:
    CS_PuppyCarried();
    virtual ~CS_PuppyCarried();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    std::weak_ptr<Entity> target;
    std::weak_ptr<Entity> aiIcon;
};

std::shared_ptr<Entity> CreateCS_PuppyCarried();